---
title: ReadableStreamDefaultController.desiredSize
slug: Web/API/ReadableStreamDefaultController/desiredSize
tags:
  - API
  - Property
  - ReadableStreamDefaultController
  - Reference
  - Streams
  - desiredSize
---
<div>{{APIRef("Streams")}}</div>

<p class="summary">The <strong><code>desiredSize</code></strong> read-only property of the {{domxref("ReadableStreamDefaultController")}} interface returns the desired size required to fill the stream's internal queue.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var><code>var <em>desiredSize</em> = </code>readableStreamDefaultController</var>.desiredSize;</pre>

<h3 id="Value">Value</h3>

<p>An integer. Note that this can be negative if the queue is over-full.</p>

<h2 id="Examples">Examples</h2>

<p>The <a href="https://streams.spec.whatwg.org/#example-rs-push-backpressure">A readable stream with an underlying push source and backpressure support</a> example in the spec provides a good example of using <code>desiredSize</code> to manually detect when the stream is full and apply backpressure, and also of using {{domxref("ReadablestreamDefaultController.error()")}} to manually trigger a stream error if another part of the system it relies on fails.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("Streams","#rs-default-controller-desired-size","desiredSize")}}</td>
   <td>{{Spec2('Streams')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div class="hidden">
<p>The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>
</div>

<p>{{Compat("api.ReadableStreamDefaultController.desiredSize")}}</p>
